com.streambase.sb.client

## Class SimpleDequeueResult

- java.lang.Object
- - com.streambase.sb.client.DequeueResult
  - - com.streambase.sb.client.SimpleDequeueResult

- All Implemented Interfaces:
    Iterable<Tuple>

      public class SimpleDequeueResult
      extends DequeueResult

  A simple concrete implementation of DequeueResult, primarily intended for use by implementors of DequeueResult.Interceptor to allow them to construct an alternative DequeueResult.
  See Also:
    `DequeueResult`

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.streambase.sb.client.DequeueResult

      `DequeueResult.Interceptor`

  - ### Field Summary

    - ### Fields inherited from class com.streambase.sb.client.DequeueResult

      `CLOSED, GOOD, leadershipStatus, props, throwable, TIMEOUT`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SimpleDequeueResult(List<Tuple> tuples, StreamProperties props, StreamBaseURI server, Constants.LeadershipStatus leadershipStatus)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getTupleCount()` Returns the number of tuples dequeued.
    `Iterator<Tuple>` | `iterator()` Returns an iterator of all tuples.

    - ### Methods inherited from class com.streambase.sb.client.DequeueResult

      `checkStatus, getLeadershipStatus, getSchema, getServerURI, getStatus, getStreamName, getStreamProperties`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.lang.Iterable

      `forEach, spliterator`

- - ### Constructor Detail

    - #### SimpleDequeueResult

          public SimpleDequeueResult(List<Tuple> tuples,
                                     StreamProperties props,
                                     StreamBaseURI server,
                                     Constants.LeadershipStatus leadershipStatus)

  - ### Method Detail

    - #### getTupleCount

          public int getTupleCount()

      Description copied from class: `DequeueResult`
      Returns the number of tuples dequeued.
      Specified by:
        `getTupleCount` in class `DequeueResult`
      Returns:
        number of tuples

    - #### iterator

          public Iterator<Tuple> iterator()

      Description copied from class: `DequeueResult`
      Returns an iterator of all tuples.
      Specified by:
        `iterator` in interface `Iterable<Tuple>`
      Specified by:
        `iterator` in class `DequeueResult`

Copyright © 2015–2018 Cloud Software Group, Inc.. All rights reserved.